## Tcl8.5.14/Tk8.5.14 Documentation > TkCmd > ttk_frame

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    ttk::frame - Simple container widget
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -cursor, cursor, Cursor
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
  WIDGET-SPECIFIC OPTIONS
    -borderwidth, borderWidth, BorderWidth
    -relief, relief, Relief
    -padding, padding, Padding
    -width, width, Width
    -height, height, Height
  WIDGET COMMAND
  NOTES
  SEE ALSO
  KEYWORDS

### NAME

ttk::frame - Simple container widget

### SYNOPSIS

ttk::frame pathName ?options?

### DESCRIPTION

A ttk::frame widget is a container, used to group other widgets together.

### STANDARD OPTIONS

-class, undefined, undefined
-cursor, cursor, Cursor
-style, style, Style
-takefocus, takeFocus, TakeFocus

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -borderwidth
Database Name: borderWidth
Database Class: BorderWidth
  The desired width of the widget border. Defaults to 0.

Command-Line Name: -relief
Database Name: relief
Database Class: Relief
  One of the standard Tk border styles: flat, groove, raised, ridge, solid, or sunken. Defaults to flat.

Command-Line Name: -padding
Database Name: padding
Database Class: Padding
  Additional padding to include inside the border.

Command-Line Name: -width
Database Name: width
Database Class: Width
  If specified, the widget's requested width in pixels.

Command-Line Name: -height
Database Name: height
Database Class: Height
  If specified, the widget's requested height in pixels.

### WIDGET COMMAND

Supports the standard widget commands configure, cget, identify, instate, and state; see ttk::widget(n).

### NOTES

Note that if the pack, grid, or other geometry managers are used to manage the children of the frame, by the GM's requested size will normally take precedence over the frame widget's -width and -height options. pack propagate and grid propagate can be used to change this.

### SEE ALSO

ttk::widget, ttk::labelframe, frame

### KEYWORDS

widget, frame, container
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 2005 Joe English